import { xFindClosestIndex } from 'ml-spectra-processing';
import { maxAbsoluteValue } from '../../utility/maxAbsoluteValue';
export function findStrongestPeak(data) {
    if (!data)
        return null;
    const maxY = maxAbsoluteValue(data.re);
    const index = xFindClosestIndex(data.re, maxY, { sorted: false });
    return {
        xValue: data.x[index],
        yValue: maxY,
        index,
    };
}
