import EE from 'eventemitter3';
import { BrushTrackerContext, ClickOptions } from '../EventsTrackers/BrushTracker';
declare const Emitter: {
    on: (event: any, fn: any) => EE<string | symbol, any>;
    once: (event: any, fn: any) => EE<string | symbol, any>;
    off: (event: any, fn: any) => EE<string | symbol, any>;
    emit: (event: any, payload: any) => boolean;
};
export type EventEmitterClickOptions = ClickOptions & {
    xPPM: number;
};
interface UseEventOptions {
    onBrushEnd?: (options: BrushTrackerContext & {
        range: number[];
    }) => void;
    onClick?: (options: EventEmitterClickOptions) => void;
}
export declare function useEvent(options: UseEventOptions): void;
export default Emitter;
