import { Spectrum1D } from 'nmr-load-save';
import { SumParams } from '../SumManager';
interface DetectRangesOptions {
    windowFromIndex?: number;
    windowToIndex?: number;
    rangePicking: {
        integrationSum?: number;
        compile?: boolean;
        frequencyCluster?: number;
        clean?: number;
        keepPeaks?: boolean;
    };
    peakPicking: {
        thresholdFactor?: number;
        minMaxRatio?: number;
        direction?: 'negative' | 'positive' | 'both';
    };
    impurities?: {
        solvent: string;
    };
}
export declare function detectRanges(spectrum: Spectrum1D, options: DetectRangesOptions & SumParams): void;
export {};
