import { jsx as _jsx } from "react/jsx-runtime";
import { useActiveSpectrumRangesViewState } from '../../hooks/useActiveSpectrumRangesViewState';
const marginTop = 55;
export function AssignmentLabel(props) {
    const { range, x } = props;
    const { showAssignmentsLabels } = useActiveSpectrumRangesViewState();
    if (!range.assignment || !showAssignmentsLabels)
        return null;
    return (_jsx("text", { x: x - 5, y: marginTop, fontSize: "12px", fill: "black", textAnchor: "end", children: range.assignment }));
}
