import { ReactNode } from 'react';
interface BaseComponentProps extends React.SVGAttributes<SVGGElement> {
    children?: ReactNode;
}
interface SpectrumPhaseTraceProps extends BaseComponentProps {
    positionUnit: 'PPM' | 'Pixel';
    position: {
        x: number;
        y: number;
    };
}
export declare function SpectrumPhaseTrace(props: SpectrumPhaseTraceProps): import("react/jsx-runtime").JSX.Element | null;
export {};
