import { ExportOptions } from '../../data/SpectraManager';
interface SaveOptions {
    include: ExportOptions;
    name: string;
    compressed: boolean;
    pretty: boolean;
}
export default function useExport(): {
    saveToClipboardHandler: () => Promise<void>;
    saveAsJSONHandler: (spaceIndent?: number, isCompressed?: boolean) => void;
    saveAsSVGHandler: () => Promise<void>;
    saveAsPNGHandler: () => Promise<void>;
    saveHandler: (options: SaveOptions) => void;
};
export {};
