import { DataXY } from 'cheminfo-types';
import { NMRPeak1DWithShapeID } from 'nmr-processing';
export declare function detectSignalsByMultipletAnalysis(data: DataXY<Float64Array>, options: any): {
    multiplicity: string;
    kind: string;
    delta: number;
    js: never[];
    peaks: import("ml-gsd").GSDPeakOptimized[];
    diaIDs: never[];
}[] | {
    multiplicity: string;
    kind: string;
    delta: any;
    js: {
        value: number;
        multiplicity: "string";
    }[];
    peaks: NMRPeak1DWithShapeID[];
    diaIDs: never[];
}[];
